Game Develop Core: EventsEditorItemsAreas Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
EventsEditorItemsAreas Class Reference

Allow events to indicate where is displayed an instruction or parameter. Events editor also uses this internally to indicate where events are displayed. More...

`#include <EventsEditorItemsAreas.h>`

## Public Member Functions

void | AddInstructionArea (wxRect area, InstructionItem &instruction)
void | AddParameterArea (wxRect area, ParameterItem &parameter)
void | AddEventArea (wxRect area, EventItem &event)
void | AddFoldingItem (wxRect area, FoldingItem &event)
void | AddInstructionListArea (wxRect area, InstructionListItem &item)
bool | IsOnEvent (int x, int y)
EventItem | GetEventAt (int x, int y)
wxRect | GetAreaOfEventAt (int x, int y)
bool | IsOnInstruction (int x, int y)
InstructionItem | GetInstructionAt (int x, int y)
bool | IsOnInstructionList (int x, int y)
InstructionListItem | GetInstructionListAt (int x, int y)
wxRect | GetAreaOfInstructionAt (int x, int y)
wxRect | GetAreaOfInstructionListAt (int x, int y)
bool | IsOnParameter (int x, int y)
ParameterItem | GetParameterAt (int x, int y)
wxRect | GetAreaOfParameterAt (int x, int y)
bool | IsOnFoldingItem (int x, int y)
FoldingItem | GetFoldingItemAt (int x, int y)
void | Clear ()
| EventsEditorItemsAreas ()
virtual | ~EventsEditorItemsAreas ()

## Public Attributes

std::vector< std::pair< wxRect, EventItem > > | eventsAreas
std::vector< std::pair< wxRect, InstructionItem > > | instructionsAreas
std::vector< std::pair< wxRect, ParameterItem > > | parametersAreas
std::vector< std::pair< wxRect, FoldingItem > > | foldingAreas
std::vector< std::pair< wxRect, InstructionListItem > > | instructionListsAreas

## Detailed Description

Allow events to indicate where is displayed an instruction or parameter. Events editor also uses this internally to indicate where events are displayed.

## Constructor & Destructor Documentation

EventsEditorItemsAreas::EventsEditorItemsAreas | ( | ) |  |

inline

Default constructor doing nothing.

virtual EventsEditorItemsAreas::~EventsEditorItemsAreas | ( | ) |  |

inlinevirtual

Default destructor doing nothing.

## Member Function Documentation

void EventsEditorItemsAreas::AddEventArea | ( | wxRect | area,
|  | EventItem & | event
| ) |  |

Notify the editor there is an event in this area

void EventsEditorItemsAreas::AddFoldingItem | ( | wxRect | area,
|  | FoldingItem & | event
| ) |  |

Notify the editor there is a folding button in this area

void EventsEditorItemsAreas::AddInstructionArea | ( | wxRect | area,
|  | InstructionItem & | instruction
| ) |  |

Notify the editor there is an instruction in this area

void EventsEditorItemsAreas::AddInstructionListArea | ( | wxRect | area,
|  | InstructionListItem & | item
| ) |  |

Notify the editor there is a list in this area

void EventsEditorItemsAreas::AddParameterArea | ( | wxRect | area,
|  | ParameterItem & | parameter
| ) |  |

Notify the editor there is a parameter in this area

void EventsEditorItemsAreas::Clear | ( | ) |  |

Clear all areas ( typically before redraw )

wxRect EventsEditorItemsAreas::GetAreaOfEventAt | ( | int | x,
|  | int | y
| ) |  |

Return the rectangle used by the event at point(x,y).

wxRect EventsEditorItemsAreas::GetAreaOfInstructionAt | ( | int | x,
|  | int | y
| ) |  |

Return the rectangle used by the instruction at point(x,y).

wxRect EventsEditorItemsAreas::GetAreaOfInstructionListAt | ( | int | x,
|  | int | y
| ) |  |

Return the rectangle used by the list at point(x,y).

wxRect EventsEditorItemsAreas::GetAreaOfParameterAt | ( | int | x,
|  | int | y
| ) |  |

Return the rectangle used by the parameter at point(x,y).

EventItem EventsEditorItemsAreas::GetEventAt | ( | int | x,
|  | int | y
| ) |  |

Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);

FoldingItem EventsEditorItemsAreas::GetFoldingItemAt | ( | int | x,
|  | int | y
| ) |  |

Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);

InstructionItem EventsEditorItemsAreas::GetInstructionAt | ( | int | x,
|  | int | y
| ) |  |

Return event at point (x,y). Be sure there is an event here using IsOnInstruction(x,y);

InstructionListItem EventsEditorItemsAreas::GetInstructionListAt | ( | int | x,
|  | int | y
| ) |  |

Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);

ParameterItem EventsEditorItemsAreas::GetParameterAt | ( | int | x,
|  | int | y
| ) |  |

Return event at point (x,y). Be sure there is an event here using IsOnEvent(x,y);

bool EventsEditorItemsAreas::IsOnEvent | ( | int | x,
|  | int | y
| ) |  |

True if a point is on an event.

bool EventsEditorItemsAreas::IsOnFoldingItem | ( | int | x,
|  | int | y
| ) |  |

True if a point is on an event.

bool EventsEditorItemsAreas::IsOnInstruction | ( | int | x,
|  | int | y
| ) |  |

True if a point is on an instruction.

bool EventsEditorItemsAreas::IsOnInstructionList | ( | int | x,
|  | int | y
| ) |  |

True if a point is on an instruction list.

bool EventsEditorItemsAreas::IsOnParameter | ( | int | x,
|  | int | y
| ) |  |

True if a point is on an event.

The documentation for this class was generated from the following files:

- EventsEditorItemsAreas.h
- EventsEditorItemsAreas.cpp